#!/usr/bin/python3

from setuptools import setup, find_packages

tests_require = ["pytest"]
linters_require = ["black>=20.8b1", "pylint", "flake8"]

setup(
    name="losscalculator",
    version="0.1",
    description="Compute damage-state probabilities for assets in scenario earthquakes",
    license="AGPLv3+",
    install_requires=[
        "pandas",
        "numpy",
        "scipy",
        "shapely",
        "pyproj",
        "pygeotile",
        "geopandas",
    ],
    extras_require={
        "tests": tests_require,
        "linters": linters_require,
    },
    packages=find_packages(),
    entry_points={
        "console_scripts": ["losscalculator = losscalculator.damage_calculator:main"]
    },
    python_requires=">=3.6",
)
